<?php
/**
 * Jlvkcomments
 *
 * @version 1.5
 * @author Anton Voynov (anton@joomline.ru)
 * @copyright (C) 2010 by Anton Voynov(http://www.joomline.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 **/
// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );


class plgContentJlvkcomments extends JPlugin
{

	function plgContentJlvkcomments( &$subject, $params )
	{
		parent::__construct( $subject, $params );
		$plugin			=& JPluginHelper::getPlugin('content', 'jlvkcomments');
		$this->params	= new JParameter( $plugin->params );

	}

	function onPrepareContent( &$row, &$params, $limitstart ) {
		$exceptcat = is_array($this->params->get('categories')) ? $this->params->get('categories') : array($this->params->get('categories'));
		if (!in_array($row->catid,$exceptcat)) {
			$view = JRequest::getCmd('view');

			if ($view == 'article') {
				$mainframe = &JFactory::getApplication('site');
				$apiId = $this->params->get('apiId');
				$width = $this->params->get('width');
				$autoPublish = $this->params->get('autoPublish');
				$comLimit = $this->params->get('comLimit');
				$attach = $this->params->get('attach');

				$script = <<<HTML
					<script type="text/javascript" src="http://vkontakte.ru/js/api/openapi.js?9" charset="windows-1251"></script>

					<script type="text/javascript">
					  VK.init({apiId: $apiId, onlyWidgets: true});
					</script>
HTML;
				$mainframe->addCustomHeadTag($script);
				$pagehash = $row->id;
				$scriptPage = <<<HTML
					<div id="jlvkcomments"></div>
					<script type="text/javascript">
					VK.Widgets.Comments("jlvkcomments", {limit: $comLimit, width: "$width", autoPublish: "$autoPublish", attach:"$attach"},$pagehash);
					</script>
					<div style="text-align: right;">
							<a style="text-decoration:none; color: #c0c0c0; font-family: arial,helvetica,sans-serif; font-size: 5pt; " target="_blank" href="http://joomline.ru/rasshirenija/plugin/plugin-jl-vkcomments.html">Расширения Вконтакте</a>
					</div>
HTML;
				if ($this->params->get('autoAdd') == 1) {
					$row->text .= $scriptPage;
				} else {
					$row->text = str_replace("{jlvkcomments}",$scriptPage,$row->text);
				}


			}
		} else {
			$row->text = str_replace("{jlvkcomments}","",$row->text);
		}

	}


}
